curl --request POST \
--url https://sandbox.cashfree.com/verification/gstin \
--header 'Content-Type: application/json' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"GSTIN": "29AAICP2912R1ZR",
"business_name": "UJJIVAN SMALL FINANCE BANK"
}
'import requests
url = "https://sandbox.cashfree.com/verification/gstin"
payload = {
"GSTIN": "29AAICP2912R1ZR",
"business_name": "UJJIVAN SMALL FINANCE BANK"
}
headers = {
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({GSTIN: '29AAICP2912R1ZR', business_name: 'UJJIVAN SMALL FINANCE BANK'})
};
fetch('https://sandbox.cashfree.com/verification/gstin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reference_id": 19,
"GSTIN": "29AAICP2912R1ZR",
"legal_name_of_business": "UJJIVAN SMALL FINANCE BANK LIMITED",
"trade_name_of_business": "UJJIVAN SMALL FINANCE BANK",
"center_jurisdiction": "I-A RANGE",
"state_jurisdiction": "GUWAHATI - A - 1",
"date_of_registration": "2017-09-30",
"constitution_of_business": "Public Limited Company",
"taxpayer_type": "Regular",
"gst_in_status": "Active",
"last_update_date": "2022-03-01",
"nature_of_business_activities": [
"Retail Business",
"Supplier of Services",
"Recipient of Goods or Services",
"Office / Sale Office",
"Others"
],
"principal_place_address": "First Floor 3512-DISPUR Prithivi Mansion opp. KFC building G.S. Road, Lachit Nagar Assam 781007",
"principal_place_split_address": {
"building_name": "Prithivi Mansion",
"street": "G.S. Road",
"location": "Lachit Nagar",
"building_number": "3512-DISPUR",
"district": "Guwahati",
"state": "Assam",
"city": "Dispur",
"flat_number": "First Floor",
"latitude": "26.1445",
"longitude": "91.7362",
"pincode": "781007"
},
"additional_address_array": [
{
"address": "Mirza Santipur NH-37 Dist-Kamrup Rural PS-Palashbari, PO Mirza Kamrup Assam 781125",
"split_address": {
"building_name": "",
"street": "NH-37",
"location": "Santipur, Mirza",
"building_number": "",
"district": "Kamrup Rural",
"state": "Assam",
"city": "Palashbari",
"flat_number": "",
"latitude": "26.0926",
"longitude": "91.5069",
"pincode": "781125"
}
},
{
"address": "N.A.C.C.I. Foundation 3559-Tezpur CHAMBER BHAWAN Binjraj Road, P. o. and P.S. - Tezpur, Dist. Binjraj Road, P. o. and P.S. - Tezpur, Dist. Sonitpur Assam 784154",
"split_address": {
"building_name": "CHAMBER BHAWAN",
"street": "Binjraj Road",
"location": "Tezpur",
"building_number": "3559-Tezpur",
"district": "Sonitpur",
"state": "Assam",
"city": "Tezpur",
"flat_number": "",
"latitude": "26.6338",
"longitude": "92.8006",
"pincode": "784154"
}
}
],
"valid": true,
"message": "GSTIN Exists"
}Verify GSTIN
Use this API to verify whether the GSTIN information is valid. If the GSTIN is valid, the associated details are sent in the response.
View the test data and use the information to trigger the validations. The test data can be used only in the sandbox environment.
Authorizations
Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.
The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.
Headers
Send the signature if two-factor authentication is selected as Public Key. More details.
Body
Find the request parameters to retrieve GSTIN information.
It is the unique number assigned to businesses registered under the Goods and Services Tax (GST) system in India.
"29AAICP2912R1ZR"
It is the name of the business to which the GSTIN is issued. The maximum character limit is 200.
"UJJIVAN SMALL FINANCE BANK"
Response
Success response for retrieving GSTIN information.
It displays the unique ID created by Cashfree Payments for reference purposes.
format: int64
12345
Unique identification number assigned to businesses registered under the Goods and Services Tax (GST) system in India.
"29AAICP2912R1ZR"
Legal name of the business registered under the GST system.
"UJJIVAN SMALL FINANCE BANK LIMITED"
Trade name of the business registered under the GST system.
"UJJIVAN SMALL FINANCE BANK"
Center jurisdiction under which the business falls.
"I-A RANGE"
State jurisdiction under which the business falls.
"GUWAHATI - A - 1"
Date of GST registration for the business.
"2017-09-30"
Constitution type of the business, such as Private Limited, Proprietorship, etc.
"Public Limited Company"
Taxpayer type, indicating whether the business is a Regular taxpayer, Composition taxpayer, etc.
"Regular"
Current status of the GSTIN.
"Active"
Date when the GST details were last updated.
"2022-03-01"
List of activities performed by the business, such as Retail Business, Supplier of Services, etc.
Activity performed by the business, such as Retail Business, Supplier of Services, etc.
Complete principal place address of the business.
"First Floor 3512-DISPUR Prithivi Mansion opp. KFC building G.S. Road, Lachit Nagar Assam 781007"
Split components of the principal place address.
Show child attributes
Show child attributes
List of additional addresses associated with the business.
Show child attributes
Show child attributes
Indicates whether the GSTIN is valid.
The message indicates whether the GSTIN exists.
Was this page helpful?